# IsAvailable

Property in [Option](/2.4/api/csharp/yarn/yarn.optionset/yarn.optionset.option.md)

## Summary

Gets a value indicating whether the player should be permitted to select this option.

```csharp
public bool IsAvailable { get; private set; }
```

## Remarks

If this value is `false`, this option had a line condition on it that failed. The option will still be delivered to the game, but, depending on the needs of the game, the game may decide to not allow the player to select it, or not offer it to the player at all.

This is intended for situations where games wish to show options that the player \_could\_ have taken, if some other condition had been met (e.g. having enough "charisma" points).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn/yarn.optionset/yarn.optionset.option/yarn.optionset.option.isavailable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
